#
# Conditional build:
%bcond_without	gtk4	# Gtk4 version of editor plugin (GNOME 42+)

Summary:	NetworkManager VPN integration for libreswan
Summary(pl.UTF-8):	Integracja NetworkManagera z sieciami VPN opartymi o libreswan
Name:		NetworkManager-libreswan
Version:	1.2.24
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/NetworkManager-libreswan/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	20bad3b0fbce2b5ce6fffec38de3d589
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.2.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.2.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36
BuildRequires:	gtk+3-devel >= 3.4.0
%{?with_gtk4:BuildRequires:	gtk4-devel >= 4.0}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnl-devel >= 1:3.2.8
%{?with_gtk4:BuildRequires:	libnma-gtk4-devel >= 1.8.33}
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:1.2.0
Requires:	NetworkManager-gtk-lib >= 1.2.0
Requires:	glib2 >= 1:2.36
Requires:	gtk+3 >= 3.4.0
Requires:	libnl >= 1:3.2.8
Requires:	libsecret >= 0.18
Provides:	NetworkManager-openswan = %{version}-%{release}
Obsoletes:	NetworkManager-openswan < 1.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libreswan VPN client plugin for NetworkManager.

Support for configuring IKEv1 based IPsec virtual private network
connections. Compatible with Libreswan and Cisco IPsec VPN servers.

%description -l pl.UTF-8
Wtyczka klienta VPN Libreswan dla NetworkManagera. Pozwala na
konfigurowanie wirtualnych sieci prywatnych (VPN) IPsec opartych na
IKEv1, jest zgodna z serwerami VPN Libreswan oraz Cisco IPsec.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-more-warnings \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk4:--with-gtk4}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

%find_lang NetworkManager-libreswan

%clean
rm -rf $RPM_BUILD_ROOT

%files -f NetworkManager-libreswan.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%if %{with gtk4}
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-libreswan-editor.so
%endif
%attr(755,root,root) %{_libexecdir}/nm-libreswan-auth-dialog
%attr(755,root,root) %{_libexecdir}/nm-libreswan-service
%attr(755,root,root) %{_libexecdir}/nm-libreswan-service-helper
%{_prefix}/lib/NetworkManager/VPN/nm-libreswan-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-libreswan-service.conf
%{_datadir}/metainfo/network-manager-libreswan.metainfo.xml
%{_mandir}/man5/nm-settings-libreswan.5*
%changelog
* Wed Oct 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-libreswan.git;a=log;h=master

* Wed Oct 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 4da5c98
- updated to 1.2.24

* Wed May 22 2024 Jakub Bogusz <qboosh@pld-linux.org> 7a4dd2c
- updated to 1.2.22

* Sat Apr 20 2024 Jakub Bogusz <qboosh@pld-linux.org> db49105
- updated to 1.2.20

* Sat Dec 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 1dd4deb
- updated to 1.2.18, added gtk4 editor module

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ae201d
- updated to 1.2.16

* Tue Jan 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 0f92d35
- updated to 1.2.14

* Sat Aug 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 48b0024
- updated to 1.2.12

* Mon Oct 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 7cb5a06
- made _libexecdir aware; release 2

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 58d1088
- updated to 1.2.10

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> cae0eff
- updated to 1.2.6

* Mon Aug 01 2016 Jakub Bogusz <qboosh@pld-linux.org> dfc3c2e
- prefers libsecret stable API (0.18+)

* Tue Jul 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e0fae54
- Update to 1.2.4

* Tue Jun 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 58ade3a
- Fix path to configuration file

* Mon Jun 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d50c0c8
- Renamed to NetworkManager-libreswan and updated to 1.2.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 1bd3d67
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> d673b17
- updated URL

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 42e0838
- updated to 1.0.6

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 702c327
- updated to 1.0.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c698ce1
- updated gettext BR

* Fri Dec 26 2014 Jakub Bogusz <qboosh@pld-linux.org> f796d3f
- versioned install time dependencies, epochs

